#![feature(try_blocks)]
use tokio::sync::mpsc;

#[tokio::main]
async fn main() {
    let (tx, mut rx) = mpsc::unbounded_channel();

    try { tx.send("hello")?; };

    assert_eq!(Some("hello"), rx.recv().await);
}
